<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

<div id="counter-app">
    <h1>Counter 앱</h1>
    <span id="counter" >0</span>
    <button id="decrease">-</button>
    <button id="increase">+</button>
</div>

</body>
</html>

<script>

    // UI 함수
    var drawCounter = function () {
        document.getElementById('counter').innerHTML = store.counter
    }

    var bindEvents = function () {
        document.getElementById('increase').addEventListener('click', function () {
            increase()
            drawCounter()
        })
        document.getElementById('decrease').addEventListener('click', function () {
            decrease()
            drawCounter()
        })
    }


    // 카운터 상태 (데이터)
    var store = {
        counter: 0
    }

    // 데이터 조작 함수
    var increase = function () {
        store.counter++
    }

    var decrease = function () {
        store.counter--
    }

    // 앱 실행 함수
    var init = function () {
        bindEvents()
        drawCounter()
    }

    init()
</script>
